[package]
authors = ["Alex Auvolat <alex@adnab.me>", "Quentin Dufour <quentin@dufour.io>"]
description = "S3-like website endpoint crate for the Garage object store"
edition = "2018"
license = "AGPL-3.0"
name = "garage_web"
readme = "../../README.md"
repository = "https://git.deuxfleurs.fr/Deuxfleurs/garage"
version = "0.6.0"

[lib]
path = "lib.rs"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
garage_api = {version = "0.6.0", path = "../api"}
garage_model = {version = "0.6.0", path = "../model"}
garage_table = {version = "0.6.0", path = "../table"}
garage_util = {version = "0.6.0", path = "../util"}

err-derive = "0.3"
log = "0.4"
percent-encoding = "2.1.0"

futures = "0.3"

http = "0.2"
hyper = {version = "0.14", features = ["server", "http1", "runtime", "tcp", "stream"]}
hyperlocal = "0.8"
